DelayMatrix_Float (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network

## Class DelayMatrix_Float

- java.lang.Object
- - org.cloudbus.cloudsim.network.DelayMatrix_Float

-     public class DelayMatrix_Float
      extends Object

  This class represents an delay-topology storing every distance between connected nodes
  Since:
    CloudSim Toolkit 1.0
  Author:
    Thomas Hohnstein

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float[][]` | `mDelayMatrix` matrix holding delay information between any two nodes
    `protected int` | `mTotalNodeNum` number of nodes in the distance-aware-topology

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelayMatrix_Float(TopologicalGraph graph, boolean directed)` this constructor creates an correct initialized Float-Delay-Matrix

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDelay(int srcID, int destID)`
    `String` | `toString()` this method just creates an string-output from the internal structures... eg. printsout the delay-matrix...

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mDelayMatrix

          protected float[][] mDelayMatrix

      matrix holding delay information between any two nodes

    - #### mTotalNodeNum

          protected int mTotalNodeNum

      number of nodes in the distance-aware-topology

  - ### Constructor Detail

    - #### DelayMatrix_Float

          public DelayMatrix_Float(TopologicalGraph graph,
                           boolean directed)

      this constructor creates an correct initialized Float-Delay-Matrix
      Parameters:
        `graph` - the topological graph as source-information
        `directed` - true if an directed matrix should be computed, false otherwise

  - ### Method Detail

    - #### getDelay

          public float getDelay(int srcID,
                       int destID)

      Parameters:
        `srcID` - the id of the source-node
        `destID` - the id of the destination-node
      Returns:
        the delay-count between the given two nodes

    - #### toString

          public String toString()

      this method just creates an string-output from the internal structures... eg. printsout the delay-matrix...
      Overrides:
        `toString` in class `Object`

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.